Package org.eclipse.rdf4j.query.algebra

## Class Coalesce

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.NAryValueOperator
    - - org.eclipse.rdf4j.query.algebra.Coalesce

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `ValueExpr`, `VariableScopeChange`

      public class Coalesce
      extends NAryValueOperator

  Author:
    Jeen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.NAryValueOperator

      `args`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Coalesce()` |
    `Coalesce​(List<ValueExpr> args)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<X extends Exception> void` | `visit​(QueryModelVisitor<X> visitor)` | Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.NAryValueOperator

      `addArgument, clone, equals, getArguments, hashCode, replaceChildNode, setArguments, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Constructor Detail

    - #### Coalesce

          public Coalesce()

    - #### Coalesce

          public Coalesce​(List<ValueExpr> args)

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit​(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`